import request from '@/utils/request'

// 查询目标措施列表
export function listTargetmeasures(query) {
  return request({
    url: '/plant/targetmeasures/list',
    method: 'get',
    params: query
  })
}

// 查询目标措施详细
export function getTargetmeasures(id) {
  return request({
    url: '/plant/targetmeasures/' + id,
    method: 'get'
  })
}

// 新增目标措施
export function addTargetmeasures(data) {
  return request({
    url: '/plant/targetmeasures',
    method: 'post',
    data: data
  })
}

// 修改目标措施
export function updateTargetmeasures(data) {
  return request({
    url: '/plant/targetmeasures',
    method: 'put',
    data: data
  })
}

// 删除目标措施
export function delTargetmeasures(id) {
  return request({
    url: '/plant/targetmeasures/' + id,
    method: 'delete'
  })
}

// 导出目标措施
export function exportTargetmeasures(query) {
  return request({
    url: '/plant/targetmeasures/export',
    method: 'get',
    params: query
  })
}
